Bug 144264 - lsusb -d takes decimal arguments instead of hexadecimal
Summary: lsusb -d takes decimal arguments instead of hexadecimal
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: usbutils   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-05 13:32 UTC by Tomas Mraz
Modified: 2015-02-01 22:47 UTC (History)
2 users (show)

Fixed In Version: 0.71-2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 13:30:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Mraz 2005-01-05 13:32:54 UTC
lsusb -d takes decimal (or more specifically C-formatted numeric so
0xNNNN parses as hexadecimal) arguments instead of pure hexadecimal
numbers as specified in man page.

It's possible that lsusb -s has the same bug but I didn't tested that
as I don't have so many USB busses/devices.

Either the code or the man page should be fixed.

Comment 1 Matthew Miller 2006-07-10 22:53:22 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!



Note You need to log in before you can comment on or make changes to this bug.